# eric3.VCS.subversionPackage.RevisionSelectionDialog

Module implementing a dialog to enter the revisions for the svn diff command.

### Classes

SvnRevisionSelectionDialog | Class implementing a dialog to enter the revisions for the svn diff command.

### Functions

None

## SvnRevisionSelectionDialog

Class implementing a dialog to enter the revisions for the svn diff command.

### Derived from

RevisionSelectionForm

### Methods

SvnRevisionSelectionDialog | Constructor
getRevisions | Public method to get the revisions.
handleOldChanged | Privat slot to handle the valueChanged(int) signal of the first spinbox.

### SvnRevisionSelectionDialog (Constructor)

SvnRevisionSelectionDialog(parent = None)

Constructor

parent
  parent widget of the dialog (QWidget)

### SvnRevisionSelectionDialog.getRevisions

getRevisions()

Public method to get the revisions.

Returns:
  list of one or two integers or None

### SvnRevisionSelectionDialog.handleOldChanged

handleOldChanged(val)

Privat slot to handle the valueChanged(int) signal of the first spinbox.

val
  value of the spinbox (integer)

Up